GET api/userapi/users?active={active}&keyword={keyword}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| keyword | string |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "71914ce2-596f-4bae-97aa-3949eec92b54"
},
{
"code": "sample string 1",
"id": "71914ce2-596f-4bae-97aa-3949eec92b54"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "f04ae6e8-17c6-48a6-a7bc-b947031ec434",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "a877f93d-29ef-4002-836c-f870bc9988e3",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5e1ed89b-b476-4f40-a01c-c5dde8a3169d",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "f04ae6e8-17c6-48a6-a7bc-b947031ec434",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "a877f93d-29ef-4002-836c-f870bc9988e3",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5e1ed89b-b476-4f40-a01c-c5dde8a3169d",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "27be2191-0b54-42b2-b2b3-561687bfa6fb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "acce3fe3-58b5-4e15-9a86-e22cd759a1ff",
"guard_id": "c70d1391-c32e-46e6-9118-73d4e6a4ad19",
"active": true
},
{
"id": "27be2191-0b54-42b2-b2b3-561687bfa6fb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "acce3fe3-58b5-4e15-9a86-e22cd759a1ff",
"guard_id": "c70d1391-c32e-46e6-9118-73d4e6a4ad19",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "8a95fe5c-6784-40e0-b773-76b0e253db2d",
"firstname": "sample string 11",
"id": "220873f5-9659-4247-8b64-a13fc947f017",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-09-25T05:43:40.6916279+00:00",
"role_id": "fd01e255-74c8-4c81-926e-5f95ee85f9fa"
},
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "71914ce2-596f-4bae-97aa-3949eec92b54"
},
{
"code": "sample string 1",
"id": "71914ce2-596f-4bae-97aa-3949eec92b54"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "f04ae6e8-17c6-48a6-a7bc-b947031ec434",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "a877f93d-29ef-4002-836c-f870bc9988e3",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5e1ed89b-b476-4f40-a01c-c5dde8a3169d",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "f04ae6e8-17c6-48a6-a7bc-b947031ec434",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "a877f93d-29ef-4002-836c-f870bc9988e3",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5e1ed89b-b476-4f40-a01c-c5dde8a3169d",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "27be2191-0b54-42b2-b2b3-561687bfa6fb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "acce3fe3-58b5-4e15-9a86-e22cd759a1ff",
"guard_id": "c70d1391-c32e-46e6-9118-73d4e6a4ad19",
"active": true
},
{
"id": "27be2191-0b54-42b2-b2b3-561687bfa6fb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "acce3fe3-58b5-4e15-9a86-e22cd759a1ff",
"guard_id": "c70d1391-c32e-46e6-9118-73d4e6a4ad19",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "8a95fe5c-6784-40e0-b773-76b0e253db2d",
"firstname": "sample string 11",
"id": "220873f5-9659-4247-8b64-a13fc947f017",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-09-25T05:43:40.6916279+00:00",
"role_id": "fd01e255-74c8-4c81-926e-5f95ee85f9fa"
}
]
application/xml, text/xml
Sample:
<ArrayOfuser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>8a95fe5c-6784-40e0-b773-76b0e253db2d</customer_id>
<firstname>sample string 11</firstname>
<id>220873f5-9659-4247-8b64-a13fc947f017</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>fd01e255-74c8-4c81-926e-5f95ee85f9fa</role_id>
<webapp_password_last_update>2026-09-25T05:43:40.6916279+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>acce3fe3-58b5-4e15-9a86-e22cd759a1ff</distribution_id>
<guard_id>c70d1391-c32e-46e6-9118-73d4e6a4ad19</guard_id>
<id>27be2191-0b54-42b2-b2b3-561687bfa6fb</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>acce3fe3-58b5-4e15-9a86-e22cd759a1ff</distribution_id>
<guard_id>c70d1391-c32e-46e6-9118-73d4e6a4ad19</guard_id>
<id>27be2191-0b54-42b2-b2b3-561687bfa6fb</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>71914ce2-596f-4bae-97aa-3949eec92b54</ID>
<code>sample string 1</code>
</right>
<right>
<ID>71914ce2-596f-4bae-97aa-3949eec92b54</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>f04ae6e8-17c6-48a6-a7bc-b947031ec434</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>a877f93d-29ef-4002-836c-f870bc9988e3</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5e1ed89b-b476-4f40-a01c-c5dde8a3169d</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>f04ae6e8-17c6-48a6-a7bc-b947031ec434</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>a877f93d-29ef-4002-836c-f870bc9988e3</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5e1ed89b-b476-4f40-a01c-c5dde8a3169d</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>8a95fe5c-6784-40e0-b773-76b0e253db2d</customer_id>
<firstname>sample string 11</firstname>
<id>220873f5-9659-4247-8b64-a13fc947f017</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>fd01e255-74c8-4c81-926e-5f95ee85f9fa</role_id>
<webapp_password_last_update>2026-09-25T05:43:40.6916279+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>acce3fe3-58b5-4e15-9a86-e22cd759a1ff</distribution_id>
<guard_id>c70d1391-c32e-46e6-9118-73d4e6a4ad19</guard_id>
<id>27be2191-0b54-42b2-b2b3-561687bfa6fb</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>acce3fe3-58b5-4e15-9a86-e22cd759a1ff</distribution_id>
<guard_id>c70d1391-c32e-46e6-9118-73d4e6a4ad19</guard_id>
<id>27be2191-0b54-42b2-b2b3-561687bfa6fb</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>71914ce2-596f-4bae-97aa-3949eec92b54</ID>
<code>sample string 1</code>
</right>
<right>
<ID>71914ce2-596f-4bae-97aa-3949eec92b54</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>f04ae6e8-17c6-48a6-a7bc-b947031ec434</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>a877f93d-29ef-4002-836c-f870bc9988e3</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5e1ed89b-b476-4f40-a01c-c5dde8a3169d</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>f04ae6e8-17c6-48a6-a7bc-b947031ec434</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>a877f93d-29ef-4002-836c-f870bc9988e3</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5e1ed89b-b476-4f40-a01c-c5dde8a3169d</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
</ArrayOfuser>